import java.util.*;
public class DequeTester{
  public static void main(String args[]){
    Deque<String> queue=new ArrayDeque<String>();
    queue.add("老二");
    queue.addFirst("老大");
    queue.addLast("老三");
    queue.add("老四");
    
    System.out.print("遍历双向队列：");
    for(String e:queue )
      System.out.print(e+" ");

    System.out.println("\n删除双向队列的最后一个元素："+queue.removeLast());  

  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
